import { Processor } from 'unified';
import { type HTMLReactParserOptions } from 'html-react-parser';
import type React from 'react';
type WritrOptions = {
    openai?: string;
    renderOptions?: RenderOptions;
};
type RenderOptions = {
    emoji?: boolean;
    toc?: boolean;
    slug?: boolean;
    highlight?: boolean;
    gfm?: boolean;
    math?: boolean;
    mdx?: boolean;
};
declare class Writr {
    engine: Processor<import("mdast").Root, import("mdast").Root, import("hast").Root, import("hast").Root, string>;
    private readonly _options;
    constructor(options?: WritrOptions);
    get options(): WritrOptions;
    render(markdown: string, options?: RenderOptions): Promise<string>;
    renderSync(markdown: string, options?: RenderOptions): string;
    renderReact(markdown: string, options?: RenderOptions, reactParseOptions?: HTMLReactParserOptions): Promise<string | React.JSX.Element | React.JSX.Element[]>;
    renderReactSync(markdown: string, options?: RenderOptions, reactParseOptions?: HTMLReactParserOptions): string | React.JSX.Element | React.JSX.Element[];
    private createProcessor;
}
export { Writr, type WritrOptions, type RenderOptions };
